> ## Documentation Index
> Fetch the complete documentation index at: https://docs.twitterapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Profile

> Update your Twitter profile information. You must set the login_cookie. You can get the login_cookie from /twitter/user_login_v2. Trial operation price: $0.003 per call.



## OpenAPI

````yaml PATCH /twitter/update_profile_v2
openapi: 3.0.1
info:
  title: TwitterAPI.io the most stable/fastest/cheapest twitter api.
  description: Provide the most stable/fastest/cheapest twitter api.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.twitterapi.io
security:
  - ApiKeyAuth: []
paths:
  /twitter/update_profile_v2:
    patch:
      description: >-
        Update your Twitter profile information. You must set the login_cookie.
        You can get the login_cookie from /twitter/user_login_v2. Trial
        operation price: $0.003 per call.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - login_cookies
                - proxy
              properties:
                login_cookies:
                  type: string
                  description: >-
                    Base64 encoded login cookies of the user. You can get the
                    login_cookie from /twitter/user_login_v2. Required
                proxy:
                  type: string
                  description: >-
                    The proxy to use. Please use high-quality residential
                    proxies and avoid free proxies. Required. Example:
                    http://username:password@ip:port
                name:
                  type: string
                  description: Display name (maximum 50 characters)
                description:
                  type: string
                  description: Bio/description (maximum 160 characters)
                location:
                  type: string
                  description: Location (maximum 30 characters)
                url:
                  type: string
                  description: Website URL
      responses:
        '200':
          description: Update profile response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Status of the request. success or error
                  message:
                    type: string
                    description: Message of the request. e.g. Profile updated successfully
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````